varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform highp float size; //swift 객체에서 값을 조절 할땐 값이 설정 되면 변경이 안됨 (선언만 하고)

void main()
{
    highp vec2 blurCenter = vec2(0.5,0.5);
    
    // TODO: Do a more intelligent scaling based on resolution here
    //highp vec2 samplingOffset = 1.0/100.0 * size;
    highp vec2 samplingOffset = 1.0/100.0 * (blurCenter - textureCoordinate + (0.02 * size)) * size;
    
    /* 최대값 평준화
     highp float maxSize = 1.0/100.0 * (0.2 + 0.001) * size;
     if(textureCoordinate.x < 0.2 && textureCoordinate.y < 0.2){
     samplingOffset = vec2(maxSize, maxSize);
     };*/
    
    highp vec2 effectValue = samplingOffset;
    lowp vec4 fragmentColor1 = texture2D(inputImageTexture, textureCoordinate + effectValue);
    lowp vec4 fragmentColor2 = texture2D(inputImageTexture, textureCoordinate + vec2(0.00,0.000));
    lowp vec4 fragmentColor3 = texture2D(inputImageTexture, textureCoordinate + (effectValue * -1.0));
    
    lowp vec4 image = texture2D(inputImageTexture, textureCoordinate);
    
    gl_FragColor = vec4(fragmentColor1.r,fragmentColor2.g,fragmentColor3.b, image.a);
}

